Page MenuHomePhabricator

[lldb] [Process/NetBSD] Fix error handling in register operations
ClosedPublic

Authored by mgorny on Jun 8 2019, 11:10 PM.

Details

Summary

Ensure that errors are passed through correctly when performing
register read/write operations. Currently, any ptrace() errors are
silently discarded and LLDB behaves as if operation was successful.

// NB: This is a prerequisite for xstate support since xstate might not be supported on old kernels and ptrace() will fail then.

Diff Detail

Repository
rL LLVM

Event Timeline

mgorny created this revision.Jun 8 2019, 11:10 PM
krytarowski accepted this revision.Jun 9 2019, 5:35 AM
This revision is now accepted and ready to land.Jun 9 2019, 5:35 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 10 2019, 8:03 AM